// ConfigurationDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Scope.h"
#include "ConfigurationDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfigurationDlg dialog


CConfigurationDlg::CConfigurationDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfigurationDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfigurationDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CConfigurationDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigurationDlg)
	DDX_Control(pDX, IDC_TAB, m_Tab);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigurationDlg, CDialog)
	//{{AFX_MSG_MAP(CConfigurationDlg)
	ON_WM_DESTROY()
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_APPLY, OnApply)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfigurationDlg message handlers

BOOL CConfigurationDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	

	m_Page1 = new CConfigPage1;
	m_Page1->Create(CConfigPage1::IDD,&m_Tab);
	m_Tab.AddTab(m_Page1,"Communication",0);


	//** customizing the tab control --------
//	m_Tab.SetDisabledColor(RGB(255, 0, 0));
	m_Tab.SetSelectedColor(RGB(0, 0, 255));
	m_Tab.SetMouseOverColor(RGB(255, 255, 255));


	// UnREM the following line to remember last tab possition
//	m_Tab.SetCurFocus(pApp->GetProfileInt("Main","CurrentTab",0));
	
	SetTimer(TIMER_CHECK_FOR_CHANGES,100,NULL); // Check of changes


	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CConfigurationDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	KillTimer(TIMER_CHECK_FOR_CHANGES);	
}

void CConfigurationDlg::OnTimer(UINT nIDEvent) 
{
	if(nIDEvent == TIMER_CHECK_FOR_CHANGES) Enable_Disable_Apply();
	
	CDialog::OnTimer(nIDEvent);
}

void CConfigurationDlg::OnOK() 
{
	CDialog::OnOK();
	m_Page1->OnOK();
}

void CConfigurationDlg::OnCancel() 
{
	CDialog::OnCancel();
}

void CConfigurationDlg::OnApply() 
{
	m_Page1->Save_Changes();
}

void CConfigurationDlg::Enable_Disable_Apply()
{
	if (m_Page1->m_changes == true)
		GetDlgItem(IDC_APPLY)->EnableWindow(TRUE);
	else
		GetDlgItem(IDC_APPLY)->EnableWindow(FALSE);

}
