// ControlsView.cpp : implementation file
//

#include "stdafx.h"
#include "Scope.h"
#include "ControlsView.h"
#include "ScopeView.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CControlsView

IMPLEMENT_DYNCREATE(CControlsView, CFormView)

CControlsView::CControlsView()
	: CFormView(CControlsView::IDD)
{
	//{{AFX_DATA_INIT(CControlsView)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CControlsView::~CControlsView()
{
}

void CControlsView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CControlsView)
	DDX_Control(pDX, IDC_TAB, m_Tab);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CControlsView, CFormView)
	//{{AFX_MSG_MAP(CControlsView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CControlsView diagnostics

#ifdef _DEBUG
void CControlsView::AssertValid() const
{
	CFormView::AssertValid();
}

void CControlsView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CControlsView message handlers

void CControlsView::OnInitialUpdate() 
{
	CFormView::OnInitialUpdate();
	

	pDoc =(CScopeDoc*)m_pDocument;


	m_Page1 = new CControlsP1;
	m_Page1->pDoc = pDoc;
	m_Page1->Create(CControlsP1::IDD,&m_Tab);
	m_Tab.AddTab(m_Page1,"Sample",0);

	m_Page2 = new CControlsP2;
	m_Page2->pDoc = pDoc;
	m_Page2->Create(CControlsP2::IDD,&m_Tab);
	m_Tab.AddTab(m_Page2,"Disp",0);

	m_Page3 = new CControlsP3;
	m_Page3->pDoc = pDoc;
	m_Page3->Create(CControlsP3::IDD,&m_Tab);
	m_Tab.AddTab(m_Page3,"Trig",0);



	//** customizing the tab control --------
//	m_Tab.SetDisabledColor(RGB(255, 0, 0));
	m_Tab.SetSelectedColor(RGB(0, 0, 255));
	m_Tab.SetMouseOverColor(RGB(255, 255, 255));

	m_Tab.SelectTab(1);


}









void CControlsView::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint) 
{
	if(lHint == HINT_OPEN)
	{
		m_Page1->Update();
		m_Page2->Update();
		m_Page3->Update();
	}
	
}
