// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__8C66EB30_6DEB_4044_863D_D90EA5FE5723__INCLUDED_)
#define AFX_MAINFRM_H__8C66EB30_6DEB_4044_863D_D90EA5FE5723__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BCMenu.h" // Bitmap Menus


class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();


// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	void ComRealTimeBuffered();
	void ComRealTimeScroll();
	BCMenu m_default;
	BCMenu m_menu;
	HMENU NewDefaultMenu();
	HMENU NewMenu();
	void InitialShowWindow(UINT nCmdShow);
	int CH1_POS;
	int CH2_POS;
	int CH3_POS;
	int CH4_POS;

	bool m_bEnableCOMS;

	CString m_Title;

	int bufferCH1[10006];
	int bufferCH2[10006];
	int bufferCH3[10006];
	int bufferCH4[10006];

	void ComProtocolTop();
	void trans(char c);
	bool readchr(unsigned char *c);
	void InitalCom();
	void CreateOrActivateFrame(CDocTemplate *pTemplate, CRuntimeClass *pViewClass);
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// variables used with the com port
	BOOL     m_bPortReady;
	HANDLE   m_hCom;
	CString  m_sComPort;
	DCB      m_dcb;
	COMMTIMEOUTS m_CommTimeouts;
	BOOL     bWriteRC;
	BOOL     bReadRC;
	DWORD iBytesWritten;
	DWORD iBytesRead;
	char       sBuffer[128];

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewControls();
	afx_msg void OnToolsConfiguration();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	afx_msg void OnMeasureItem(int nIDCtl, LPMEASUREITEMSTRUCT lpMeasureItemStruct);
	afx_msg LRESULT OnMenuChar(UINT nChar, UINT nFlags, CMenu* pMenu);
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnHelpColinsHomePage();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnUpdateHideShowSidebar(CCmdUI* pCmdUI);
	afx_msg void OnViewAdSampling();
	afx_msg void OnEnableComms();
	afx_msg void OnDisableComms();
	afx_msg void OnUpdateEnableComms(CCmdUI* pCmdUI);
	afx_msg void OnUpdateDisableComms(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__8C66EB30_6DEB_4044_863D_D90EA5FE5723__INCLUDED_)
